Package Release Info

python-textfsm-1.1.1-bp154.1.30

Update Info: Base Release
Available in Package Hub : 15 SP4

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

python3-textfsm

Change Logs

Version: 0.4.1-bp151.1.1
* Fri Jul 20 2018 tchvatal@suse.com
- Conflict with texttable as we provide same package file
  reported on GH for upstream to sort out
* Mon Jul 02 2018 aplanas@suse.com
- Add textfsm_test_do_not_relay_on_dic_order.patch to enable
  tests in Python2 and Python3
* Thu Jun 21 2018 tchvatal@suse.com
- Add dependency over python-six as it is stated by upstream
- Switch to github archive as it contains the testdata
* Wed Jun 20 2018 gyee@suse.com
- Remove python-devel requirement as it is not needed.
* Wed Jun 20 2018 gyee@suse.com
- Remove useless descriptions.
* Wed Jun 20 2018 gyee@suse.com
- Regenerate the spec file using py2pack.
* Tue Jun 19 2018 gyee@suse.com
- Fix SingleSpec requirements.
* Tue Jun 19 2018 gyee@suse.com
- Make it a SingleSpec package.
* Mon Jun 18 2018 gyee@suse.com
- create initial package version 0.4.1:
  Pulled from https://files.pythonhosted.org/packages/a1/0d/a1b490503545b3b4600b965eae5d44cc2b6ce27cfb44f4debc563dbb56d3/textfsm-0.4.1.tar.gz
Version: 1.1.1-bp152.1.10
* Tue Nov 26 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 1.1.1
  * Fix parsing of value string to allow mismatched parenthesis
    inside [] brackets.
  * Improve readability of value parse fix.
  * Added additional test.
  * Soft fail when fcntl is missing, fallback to default screen size.
* Thu Aug 01 2019 pgajdos@suse.com
- require future for python2
* Wed Jul 31 2019 pgajdos@suse.com
- version update to 1.1.0
  * Per 'http://python-future.org/automatic_conversion.html' py2 & py3 compatibility.
  * Make sure test fails if there is more than one list entry.
  * Fix deprecated warning for invalid escapes.
  * Support utf-8 in template files
  * Add utf-8 characters to a test example
  * Unicode example in template input.
  * Switch to utf-8 strings and remove unnecessary conversions.
  * Remove legacy lint checks
  * Migrate StringIO and remove unneeded import six.
  * Remove unnecessary explicit unicast declaration.
  * oll back changes to 'open'.
  * Cosmetic linting.
  * Package 'future' needed for importing builtins.
  * Add tests and testdata to distribution.
  * Use correct install_requires stanza for dependencies.
  * Include testdata files in binarty dist for tyesting.
- deleted patches
  - textfsm_test_do_not_relay_on_dic_order.patch (upstreamed)